Bug 171922

Summary: New port: biology/plinkseq
Product: Ports & Packages Reporter: Jason W. Bacon <jwb>
Component: Individual Port(s)Assignee: Max Brazhnikov <makc>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.shar none

Description Jason W. Bacon freebsd_committer 2012-09-24 15:00:25 UTC
PLINK/SEQ is an open-source C/C++ library for working with human genetic
variation data. The specific focus is to provide a platform for analytic tool
development for variation data from large-scale resequencing and genotyping
projects, particularly whole-exome and whole-genome studies. It is independent
of (but designed to be complementary to) the existing PLINK package.

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2012-09-25 15:10:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-27 10:59:41 UTC
Author: makc
Date: Thu Sep 27 09:59:25 2012
New Revision: 304954
URL: http://svn.freebsd.org/changeset/ports/304954

Log:
  Add new ports biology/plink [1] and biology/plinkseq [2]:
  
  PLINK is a free, open-source whole genome association analysis toolset.
  PLINK/SEQ is an open-source C/C++ library for working with human
  genetic variation data.
  
  PR:		ports/171918 [1]
  PR:		ports/171922 [2]
  Submitted by:	Jason Bacon <jwbacon at tds.net>

Added:
  head/biology/plink/
  head/biology/plink/Makefile   (contents, props changed)
  head/biology/plink/distinfo   (contents, props changed)
  head/biology/plink/files/
  head/biology/plink/files/patch-Makefile   (contents, props changed)
  head/biology/plink/pkg-descr   (contents, props changed)
  head/biology/plinkseq/
  head/biology/plinkseq/Makefile   (contents, props changed)
  head/biology/plinkseq/distinfo   (contents, props changed)
  head/biology/plinkseq/pkg-descr   (contents, props changed)
  head/biology/plinkseq/pkg-plist   (contents, props changed)
Modified:
  head/biology/Makefile   (contents, props changed)

Modified: head/biology/Makefile
==============================================================================
--- head/biology/Makefile	Thu Sep 27 09:45:38 2012	(r304953)
+++ head/biology/Makefile	Thu Sep 27 09:59:25 2012	(r304954)
@@ -72,6 +72,8 @@
     SUBDIR += phylip
     SUBDIR += phyml
     SUBDIR += platon
+    SUBDIR += plink
+    SUBDIR += plinkseq
     SUBDIR += povchem
     SUBDIR += primer3
     SUBDIR += protomol

Added: head/biology/plink/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plink/Makefile	Thu Sep 27 09:59:25 2012	(r304954)
@@ -0,0 +1,27 @@
+# Created by: Jason Bacon <jwbacon@tds.net>
+# $FreeBSD$
+
+PORTNAME=	plink
+PORTVERSION=	1.07
+CATEGORIES=	biology science
+MASTER_SITES=	http://pngu.mgh.harvard.edu/~purcell/plink/dist/
+DISTNAME=	${PORTNAME}-${PORTVERSION}-src
+
+MAINTAINER=	jwbacon@tds.net
+COMMENT=	Whole genome association analysis toolset
+
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	lapack:${PORTSDIR}/math/lapack
+
+USE_ZIP=	yes
+USE_GMAKE=	yes
+USE_FORTRAN=	yes	# Make it use the same compiler as lapack
+
+PLIST_FILES=	bin/plink
+
+do-install:
+	${MKDIR} ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/plink ${PREFIX}/bin
+
+.include <bsd.port.mk>

Added: head/biology/plink/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plink/distinfo	Thu Sep 27 09:59:25 2012	(r304954)
@@ -0,0 +1,2 @@
+SHA256 (plink-1.07-src.zip) = 4af56348443d0c6a1db64950a071b1fcb49cc74154875a7b43cccb4b6a7f482b
+SIZE (plink-1.07-src.zip) = 2257297

Added: head/biology/plink/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plink/files/patch-Makefile	Thu Sep 27 09:59:25 2012	(r304954)
@@ -0,0 +1,52 @@
+--- Makefile.orig	2009-10-10 11:00:20.000000000 -0500
++++ Makefile	2012-09-07 08:24:26.000000000 -0500
+@@ -26,7 +26,7 @@
+ WITH_WEBCHECK = 1
+ FORCE_32BIT = 
+ WITH_ZLIB = 1
+-WITH_LAPACK = 
++WITH_LAPACK = 1
+ FORCE_DYNAMIC = 
+ 
+ # Put C++ compiler here; Windows has it's own specific version
+@@ -34,17 +34,17 @@
+ CXX_WIN = c:\bin\mingw\bin\mingw32-g++.exe
+ 
+ # Any other compiler flags here ( -Wall, -g, etc)
+-CXXFLAGS = 
++# CXXFLAGS = 
+ 
+ # Misc
+-LIB_LAPACK = /usr/lib/liblapack.so.3
++LIB_LAPACK = -L${LOCALBASE}/lib -llapack -lblas -lgfortran
+ 
+ 
+ # --------------------------------------------------------------------
+ # Do not edit below this line
+ # --------------------------------------------------------------------
+ 
+-CXXFLAGS += -O3 -I.
++CXXFLAGS += -I.
+ OUTPUT = plink
+ 
+ # Some system specific flags
+@@ -58,8 +58,8 @@
+ endif
+ 
+ ifeq ($(SYS),UNIX)
+- CXXFLAGS += -DUNIX
+- CXX = $(CXX_UNIX)
++ CXXFLAGS += -DUNIX -Dfopen64=fopen
++ CXX ?= $(CXX_UNIX)
+  ifndef FORCE_DYNAMIC
+   CXXFLAGS += -static
+  endif
+@@ -128,7 +128,7 @@
+ LIB += -ldl
+ endif
+ ifeq ($(SYS),UNIX)
+-LIB += -ldl -lcrypt
++LIB += -lcrypt
+ endif
+ endif
+ 

Added: head/biology/plink/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plink/pkg-descr	Thu Sep 27 09:59:25 2012	(r304954)
@@ -0,0 +1,5 @@
+PLINK is a free, open-source whole genome association analysis toolset,
+designed to perform a range of basic, large-scale analyses in a
+computationally efficient manner.
+
+WWW: http://pngu.mgh.harvard.edu/~purcell/plink/

Added: head/biology/plinkseq/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plinkseq/Makefile	Thu Sep 27 09:59:25 2012	(r304954)
@@ -0,0 +1,28 @@
+# Created by: Jason Bacon <jwbacon@tds.net>
+# $FreeBSD$
+
+PORTNAME=	plinkseq
+PORTVERSION=	0.08
+CATEGORIES=	biology science
+MASTER_SITES=	http://atgu.mgh.harvard.edu/${PORTNAME}/dist/version-${PORTVERSION}/
+
+MAINTAINER=	jwbacon@tds.net
+COMMENT=	Toolset for working with human genetic variation data
+
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	protobuf:${PORTSDIR}/devel/protobuf
+
+USE_DOS2UNIX=	yes
+USE_LDCONFIG=	yes
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS+=--with-protobuf=${LOCALBASE}
+
+post-patch:
+	${REINPLACE_CMD} -e 's|PF_INET|AF_INET|g' ${WRKSRC}/browser/mongoose.c
+	${REINPLACE_CMD} -e 's|-ldl||g' \
+		${WRKSRC}/browser/Makefile.in \
+		${WRKSRC}/client/Makefile.in \
+		${WRKSRC}/index/Makefile.in
+
+.include <bsd.port.mk>

Added: head/biology/plinkseq/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plinkseq/distinfo	Thu Sep 27 09:59:25 2012	(r304954)
@@ -0,0 +1,2 @@
+SHA256 (plinkseq-0.08.tar.gz) = 6bde88925a82a79c6fa2401a197865cf6d659163fd5f11c5fb426701b54bb24f
+SIZE (plinkseq-0.08.tar.gz) = 2991871

Added: head/biology/plinkseq/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plinkseq/pkg-descr	Thu Sep 27 09:59:25 2012	(r304954)
@@ -0,0 +1,8 @@
+PLINK/SEQ is an open-source C/C++ library for working with human
+genetic variation data. The specific focus is to provide a platform
+for analytic tool development for variation data from large-scale
+resequencing and genotyping projects, particularly whole-exome and
+whole-genome studies. It is independent of (but designed to be
+complementary to) the existing PLINK package.
+
+WWW: http://atgu.mgh.harvard.edu/plinkseq/

Added: head/biology/plinkseq/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/plinkseq/pkg-plist	Thu Sep 27 09:59:25 2012	(r304954)
@@ -0,0 +1,12 @@
+bin/behead
+bin/gcol
+bin/index
+bin/index.cgi
+bin/mongoose
+bin/pbrowse
+bin/pbrowse.cgi
+bin/pseq
+bin/tab2vcf
+lib/libplinkseq.la
+lib/libplinkseq.so
+lib/libplinkseq.so.0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Max Brazhnikov freebsd_committer 2012-09-27 11:00:22 UTC
State Changed
From-To: open->closed

New port added. Thanks!